package com.kxs.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账户变更类型enum
 *
 * @author Lxq
 * @date 2023-11-01
 */
@Getter
@AllArgsConstructor
public enum VariationTypeEnum {

    CHANGE_TYPE_ACT(0, "激活奖励"),
    ACCOUNT_TYPE_PROFIT(1, "交易分润"),
    ACCOUNT_TYPE_PLAY(2, "活动奖励"),
    ACCOUNT_TYPE_OPEN(3, "开机奖励"),
    ACCOUNT_TYPE_COMMISSION(4, "流量卡分佣"),
    ACCOUNT_TYPE_SHARE(5, "推荐奖励"),
    ACCOUNT_TYPE_STORE_AWARD(6, "分仓奖励"),
    ACCOUNT_TYPE_LEADER_AWARD(7, "大盟主奖励"),
    ACCOUNT_TYPE_BA_RETURN(8, "余额返还"),
    ACCOUNT_TYPE_CENTER_AWARD(9, "运营中心奖励"),
    ACCOUNT_TYPE_LKB_PROFIT(10, "来客吧分润"),
    ACCOUNT_TYPE_BA_DRAW(101, "余额提现"),
    ACCOUNT_TYPE_SHOP(104, "商城购物"),
    ACCOUNT_TYPE_SYS_SUB(105, "系统扣减"),
    ACCOUNT_TYPE_DEV_SUB(106, "扣机具货款"),
    ACCOUNT_TYPE_SOFT_PRICE(107, "软件服务费");

    /**
     * 状态码
     */
    private final Integer type;
    /**
     * 状态码码描述
     */
    private final String description;
}
